﻿using System.Text;
using NUnit.Framework;

namespace TDDExample.GuessNumber.UnitTests
{
    [TestFixture]
    public class TestGameHistory
    {
        [Test]
        public void should_get_histories_in_order()
        {
            var history = new GameHistory();
            history.Add(new[] {1, 2, 3, 4}, "0A0B");
            history.Add(new[] {2, 3, 4, 5}, "0A2B");
            history.Add(new[] {4, 5, 6, 7}, "1A2B");

            var expectedResult = new StringBuilder();
            expectedResult.AppendLine("1 2 3 4 : 0A0B");
            expectedResult.AppendLine("2 3 4 5 : 0A2B");
            expectedResult.AppendLine("4 5 6 7 : 1A2B");

            Assert.That(history.GetAll(), Is.EqualTo(expectedResult.ToString()));
        }
    }
}