﻿using NUnit.Framework;

namespace TDDExample.GuessNumber.UnitTests
{
    [TestFixture]
    public class TestInputValidator
    {
        #region Setup/Teardown

        [SetUp]
        public void Setup()
        {
            validator = new InputValidator();
        }

        #endregion

        private InputValidator validator;

        [Test]
        public void should_return_false_when_input_contains_non_number()
        {
            Assert.That(validator.Validate("1 d 3 4"), Is.False);
        }

        [Test]
        public void should_return_false_when_input_contains_repeat_nunbers()
        {
            Assert.That(validator.Validate("1 1 2 3"), Is.False);
        }

        [Test]
        public void should_return_false_when_input_has_less_numbers_than_four()
        {
            Assert.That(validator.Validate("1 2 3"), Is.False);
        }

        [Test]
        public void should_return_false_when_input_has_more_numbers_than_four()
        {
            Assert.That(validator.Validate("1 2 3 4 5"), Is.False);
        }

        [Test]
        public void should_return_false_when_input_nunbers_is_not_between_zero_and_nine()
        {
            Assert.That(validator.Validate("1 2 10 -1"), Is.False);
        }

        [Test]
        public void should_return_true_when_input_is_valid()
        {
            Assert.That(validator.Validate("1 2 3 4"), Is.True);
        }
    }
}