using System.Collections.Generic;

namespace TDDExample.GuessNumber
{
    public class AnswerGenerator : IAnswerGenerator
    {
        private const int AnswerLength = 4;
        private const int MaxNum = 9;
        private const int MinNum = 0;
        private readonly IRandomIntGenerator rand;

        public AnswerGenerator(IRandomIntGenerator rand)
        {
            this.rand = rand;
        }

        public int[] Generate()
        {
            var list = new List<int>();
            while (list.Count < AnswerLength)
            {
                int num = rand.Next();
                if (!num.IsBetween(MinNum, MaxNum))
                {
                    throw new RandomNumberOutOfRangeException();
                }
                if (!list.Contains(num))
                {
                    list.Add(num);
                }
            }
            return list.ToArray();
        }
    }
}