using System.Linq;

namespace TDDExample.GuessNumber
{
    public class Game : IGame
    {
        private readonly int[] answer;
      
        public Game(IAnswerGenerator answerGenerator)
        {
            answer = answerGenerator.Generate();
        }

        public string Answer
        {
            get { return string.Join(" ", answer.Select(a => a.ToString()).ToArray()); }
        }

        #region IGame Members

        public string Guess(int[] guess)
        {
            int aCount = 0;
            int bCount = 0;
            for (int i = 0; i < guess.Length; i++)
            {
                if (answer[i] == guess[i])
                {
                    aCount++;
                }
                else if (answer.Contains(guess[i]))
                {
                    bCount++;
                }
            }
            return string.Format("{0}A{1}B", aCount, bCount);
        }

        #endregion
    }
}